summaryrefslogtreecommitdiff
path: root/utils/lib_sxng_themes.sh
diff options
context:
space:
mode:
authorMarkus Heiser <markus.heiser@darmarit.de>2025-07-16 17:52:32 +0200
committerMarkus Heiser <markus.heiser@darmarIT.de>2025-07-28 12:53:26 +0200
commit8c2c3430daf3c1091f1033e87658ef02805a42dd (patch)
treeffaeefd710e300e8d3f634e804f4783b4b18398a /utils/lib_sxng_themes.sh
parentcd062d7349b857d25e54db91fd5821b1a4a2d004 (diff)
[fix] apply shell formating / shfmt (make format.shell)
Signed-off-by: Markus Heiser <markus.heiser@darmarit.de>
Diffstat (limited to 'utils/lib_sxng_themes.sh')
-rwxr-xr-xutils/lib_sxng_themes.sh17
1 files changed, 11 insertions, 6 deletions
diff --git a/utils/lib_sxng_themes.sh b/utils/lib_sxng_themes.sh
index 542ac265d..c707db88c 100755
--- a/utils/lib_sxng_themes.sh
+++ b/utils/lib_sxng_themes.sh
@@ -1,7 +1,7 @@
#!/usr/bin/env bash
# SPDX-License-Identifier: AGPL-3.0-or-later
-themes.help(){
+themes.help() {
cat <<EOF
themes.:
all : test & build all themes
@@ -13,14 +13,16 @@ EOF
}
themes.all() {
- ( set -e
+ (
+ set -e
vite.simple.build
)
dump_return $?
}
themes.simple() {
- ( set -e
+ (
+ set -e
build_msg SIMPLE "theme: run build (simple)"
vite.simple.build
)
@@ -28,7 +30,8 @@ themes.simple() {
}
themes.fix() {
- ( set -e
+ (
+ set -e
build_msg SIMPLE "theme: fix (all themes)"
vite.simple.fix
)
@@ -36,7 +39,8 @@ themes.fix() {
}
themes.lint() {
- ( set -e
+ (
+ set -e
build_msg SIMPLE "theme: lint (all themes)"
vite.simple.lint
)
@@ -44,7 +48,8 @@ themes.lint() {
}
themes.test() {
- ( set -e
+ (
+ set -e
# we run a build to test (in CI)
build_msg SIMPLE "theme: run build (to test)"
vite.simple.build